//+------------------------------------------------------------------+
//|                            AlaskanPipAssassinMod Arrow Alert.mq4 |
//|                              Copyright  2008, TradingSytemForex |
//|                                http://www.tradingsystemforex.com |
//+------------------------------------------------------------------+

#property copyright "Copyright  2008, TradingSytemForex"
#property link "http://www.tradingsystemforex.com"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red

double CrossUp[];
double CrossDown[];
double prevtime;
double Range, AvgRange;
double LimeRmonow, LimeRmoprevious;
double GoldRmonow, GoldRmoprevious;

extern int CountBars=300;
extern int SSP=7;
extern double Kmin=1.6;
extern double Kmax=50.6; //24 21.6 21.6 
extern int  SoundAlert    = 0; //0=disabled

//+------------------------------------------------------------------+
//| Initialization                                                   |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0, DRAW_ARROW, EMPTY, 1);
   SetIndexArrow(0, 233);
   SetIndexBuffer(0, CrossUp);
   SetIndexStyle(1, DRAW_ARROW, EMPTY, 1);
   SetIndexArrow(1, 234);
   SetIndexBuffer(1, CrossDown);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Deinitialization                                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Iteration                                                        |
//+------------------------------------------------------------------+
int start()
 {
   int limit, i, counter;
   int counted_bars=IndicatorCounted();
   
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   
   limit=Bars-counted_bars;
   
   for(i = 0; i <= limit; i++)
   {
      counter=i;
      Range=0;
      AvgRange=0;
      for(counter=i ;counter<=i+9;counter++)
      {
         AvgRange=AvgRange+MathAbs(High[counter]-Low[counter]);
      }
      Range=AvgRange/10;
      
      LimeRmonow      = iCustom(Symbol(),0,"AlaskanPipAssassinMod",CountBars,SSP,Kmin,Kmax,0,i);
      LimeRmoprevious = iCustom(Symbol(),0,"AlaskanPipAssassinMod",CountBars,SSP,Kmin,Kmax,0,i+1);
      GoldRmonow      = iCustom(Symbol(),0,"AlaskanPipAssassinMod",CountBars,SSP,Kmin,Kmax,1,i);
      GoldRmoprevious = iCustom(Symbol(),0,"AlaskanPipAssassinMod",CountBars,SSP,Kmin,Kmax,1,i+1);
      
      if(LimeRmoprevious<GoldRmoprevious && LimeRmonow>GoldRmonow)
      {
         CrossUp[i] = Low[i] - Range*0.5;
       }
       
      if (LimeRmoprevious>GoldRmoprevious && LimeRmonow<GoldRmonow)
      {
         CrossDown[i] = High[i] + Range*0.5;
      }
   }
   if((CrossUp[0] > 2000) && (CrossDown[0] > 2000)) { prevtime = 0; }
   if((CrossUp[0] == Low[0] - Range*0.5) && (prevtime != Time[0]) && (SoundAlert != 0))
   {
      prevtime = Time[0];
      PlaySound("alert.wav");
   } 
   if((CrossDown[0] == High[0] + Range*0.5) && (prevtime != Time[0]) && (SoundAlert != 0))
   {
      prevtime = Time[0];
      PlaySound("alert.wav");
   }
   return(0);
 }

